Gtk::Scrollable Class Reference

This interface is implemented by widgets with native scrolling ability. More...

Inheritance diagram for Gtk::Scrollable:
[legend]
Collaboration diagram for Gtk::Scrollable:
[legend]

List of all members.

## Public Member Functions

virtual | ~Scrollable ()
GtkScrollable* | gobj ()
| Provides access to the underlying C GObject.
const GtkScrollable* | gobj () const
| Provides access to the underlying C GObject.
Glib::RefPtr< Adjustment > | get_hadjustment ()
Glib::RefPtr< const Adjustment > | get_hadjustment () const
void | set_hadjustment (const Glib::RefPtr< Adjustment >& hadjustment)
void | unset_hadjustment ()
| This method removes the hadjustment.
Glib::RefPtr< Adjustment > | get_vadjustment ()
Glib::RefPtr< const Adjustment > | get_vadjustment () const
void | set_vadjustment (const Glib::RefPtr< Adjustment >& hadjustment)
void | unset_vadjustment ()
| This method removes the vadjustment.
ScrollablePolicy | get_hscroll_policy () const
void | set_hscroll_policy (ScrollablePolicy policy)
ScrollablePolicy | get_vscroll_policy () const
void | set_vscroll_policy (ScrollablePolicy policy)
Glib::PropertyProxy < Glib::RefPtr< Adjustment > > | property_hadjustment ()
| Horizontal adjustment that is shared between the scrollable widget and its controller.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Adjustment > > | property_hadjustment () const
| Horizontal adjustment that is shared between the scrollable widget and its controller.
Glib::PropertyProxy < Glib::RefPtr< Adjustment > > | property_vadjustment ()
| Vertical adjustment that is shared between the scrollable widget and its controller.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Adjustment > > | property_vadjustment () const
| Vertical adjustment that is shared between the scrollable widget and its controller.
Glib::PropertyProxy < ScrollablePolicy > | property_hscroll_policy ()
| How the size of the content should be determined.
Glib::PropertyProxy_ReadOnly < ScrollablePolicy > | property_hscroll_policy () const
| How the size of the content should be determined.
Glib::PropertyProxy < ScrollablePolicy > | property_vscroll_policy ()
| How the size of the content should be determined.
Glib::PropertyProxy_ReadOnly < ScrollablePolicy > | property_vscroll_policy () const
| How the size of the content should be determined.

## Static Public Member Functions

static void | add_interface (GType gtype_implementer)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr< Gtk::Scrollable > | wrap (GtkScrollable* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

This interface is implemented by widgets with native scrolling ability.

Since gtkmm 3.0:

## Constructor & Destructor Documentation

virtual Gtk::Scrollable::~Scrollable | ( |  | ) | `[virtual]`

## Member Function Documentation

static void Gtk::Scrollable::add_interface | ( | GType | gtype_implementer | ) | `[static]`

Glib::RefPtr<Adjustment> Gtk::Scrollable::get_hadjustment | ( |  | ) |

Glib::RefPtr<const Adjustment> Gtk::Scrollable::get_hadjustment | ( |  | ) | const

ScrollablePolicy Gtk::Scrollable::get_hscroll_policy | ( |  | ) | const

Glib::RefPtr<Adjustment> Gtk::Scrollable::get_vadjustment | ( |  | ) |

Glib::RefPtr<const Adjustment> Gtk::Scrollable::get_vadjustment | ( |  | ) | const

ScrollablePolicy Gtk::Scrollable::get_vscroll_policy | ( |  | ) | const

GtkScrollable* Gtk::Scrollable::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

Reimplemented in Gtk::IconView, Gtk::Layout, Gtk::TextView, Gtk::ToolPalette, Gtk::TreeView, and Gtk::Viewport.

const GtkScrollable* Gtk::Scrollable::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

Reimplemented in Gtk::IconView, Gtk::Layout, Gtk::TextView, Gtk::ToolPalette, Gtk::TreeView, and Gtk::Viewport.

Glib::PropertyProxy< Glib::RefPtr<Adjustment> > Gtk::Scrollable::property_hadjustment | ( |  | ) |

Horizontal adjustment that is shared between the scrollable widget and its controller.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Adjustment> > Gtk::Scrollable::property_hadjustment | ( |  | ) | const

Horizontal adjustment that is shared between the scrollable widget and its controller.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<ScrollablePolicy> Gtk::Scrollable::property_hscroll_policy | ( |  | ) |

How the size of the content should be determined.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<ScrollablePolicy> Gtk::Scrollable::property_hscroll_policy | ( |  | ) | const

How the size of the content should be determined.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Adjustment> > Gtk::Scrollable::property_vadjustment | ( |  | ) | const

Vertical adjustment that is shared between the scrollable widget and its controller.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::RefPtr<Adjustment> > Gtk::Scrollable::property_vadjustment | ( |  | ) |

Vertical adjustment that is shared between the scrollable widget and its controller.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<ScrollablePolicy> Gtk::Scrollable::property_vscroll_policy | ( |  | ) |

How the size of the content should be determined.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<ScrollablePolicy> Gtk::Scrollable::property_vscroll_policy | ( |  | ) | const

How the size of the content should be determined.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gtk::Scrollable::set_hadjustment | ( | const Glib::RefPtr< Adjustment >& | hadjustment | ) |

void Gtk::Scrollable::set_hscroll_policy | ( | ScrollablePolicy | policy | ) |

void Gtk::Scrollable::set_vadjustment | ( | const Glib::RefPtr< Adjustment >& | hadjustment | ) |

void Gtk::Scrollable::set_vscroll_policy | ( | ScrollablePolicy | policy | ) |

void Gtk::Scrollable::unset_hadjustment | ( |  | ) |

This method removes the hadjustment.

See also:
  set_hadjustment().

void Gtk::Scrollable::unset_vadjustment | ( |  | ) |

This method removes the vadjustment.

See also:
  set_vadjustment().

## Friends And Related Function Documentation

Glib::RefPtr< Gtk::Scrollable > wrap | ( | GtkScrollable * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/scrollable.h